## simhash 0.0.20090101

=== Makefile ===
# Copyright (c) 2005-2007 Bart Massey
# ALL RIGHTS RESERVED
# Please see the file COPYING in this directory for license information.

BIN=/home/bart/bin/i686

CC=gcc
CFLAGS=-g -O4 -Wall -ansi -pedantic
OBJS=simhash.o crc32.o heap.o hash.o

simhash: $(OBJS)
	$(CC) $(CFLAGS) -o simhash $(OBJS)

clean:
	-rm -f $(OBJS) simhash

install: simhash
	cp simhash $(BIN)

heap.o: heap.h

crc32.o: crc.h

## simhash 0.0.20110213

=== debian/control ===
Source: simhash
Section: utils
Priority: extra
Maintainer: Thomas Koch <thomas@koch.ro>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.3
Homepage: http://wiki.cs.pdx.edu/forge/simhash.html
Vcs-Git: git://anonscm.debian.org/collab-maint/simhash.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/simhash.git

Package: simhash
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: generate similarity hashes to find nearly duplicate files
 One of the questions that it's nice to be able to answer about a pair of files
 is the degree of similarity between them. This command-line tool is useful for
 estimating the "degree of similarity" between a pair of nominally sequential
 files such as textfiles. The tool uses Manassas's "shingleprinting" technique;

## simhash 0.0.20150404

=== Makefile ===
# Copyright (c) 2005-2007 Bart Massey
# ALL RIGHTS RESERVED
# Please see the file COPYING in this directory for license information.

DESTDIR=/usr/local
BIN=$(DESTDIR)/bin
MAN=$(DESTDIR)/man

CC=gcc
CFLAGS=-g -O4 -Wall -ansi -pedantic
OBJS=simhash.o crc32.o heap.o hash.o

simhash: $(OBJS)
	$(CC) $(CFLAGS) -o simhash $(OBJS) -lm

clean:
	-rm -f $(OBJS) simhash

install: simhash simhash.man
	cp simhash $(BIN)
	cp simhash.man $(MAN)/man1/simhash.1

heap.o: heap.h

crc32.o: crc.h

=== debian/changelog ===
simhash (0.0.20150404-1) unstable; urgency=medium

  [ Bart Massey ]
  * fixed signed integers to be properly sized and use stdint

  [ Thomas Koch ]
  * bumped Standards-Version 3.9.3->3.9.8; no changes
  * update Vcs-* fields in d/control
  * fix outdated/wrong info in d/copyright
  * add lintian overrides
  * fix lintian: hardening-no-relro

 -- Thomas Koch <thomas@koch.ro>  Sat, 17 Sep 2016 18:14:27 +0200

simhash (0.0.20110213-1) unstable; urgency=low

  * new upstream snapshot (Git commit f624c6)
  * updated standards (3.9.3) and debhelper (9) versions
  * updated my email address
  * switch from cdbs to dh
  * remove link to deprecated BSD license file
  * add Vcs-* fields to debian/control

 -- Thomas Koch <thomas@koch.ro>  Fri, 15 Jun 2012 08:22:06 +0200

simhash (0.0.20090101-1) unstable; urgency=low

  * Initial release (Closes: #520401)

 -- Thomas Koch <thomas.koch@ymc.ch>  Thu, 19 Mar 2009 10:59:35 +0100

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: extra
 Maintainer: Thomas Koch <thomas@koch.ro>
 Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.8
 Homepage: http://wiki.cs.pdx.edu/forge/simhash.html
-Vcs-Git: git://anonscm.debian.org/collab-maint/simhash.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/simhash.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/simhash.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/simhash.git
 
 Package: simhash
 Architecture: any

## simhash 0.0.20161225

=== debian/changelog ===
simhash (0.0.20161225-1) unstable; urgency=medium

  * New maintainer. Closes: #652727
  * Upgraded d/* according to Debian Policy 4.3.0.3.
    Priority -> optional, Standards-Version -> 4.3.0, debhelper >= 12,
    update Vcs-* fields, add simple testsuite and watch file,
    remove redundant d/{clean,dirs,lintian-overrides}.
  * Upstream cleaned up buffer signedness warned by gcc. (Git commit fa34436)

 -- laokz <laokz@foxmail.com>  Fri, 31 May 2019 19:34:40 +0800

=== debian/control ===
Source: simhash
Section: utils
Priority: optional
Maintainer: laokz <laokz@foxmail.com>
Build-Depends: debhelper (>=12)
Standards-Version: 4.3.0
Homepage: http://wiki.cs.pdx.edu/forge/simhash.html
Vcs-Git: https://salsa.debian.org/debian/simhash.git
Vcs-Browser: https://salsa.debian.org/debian/simhash

Package: simhash
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: generate similarity hashes to find nearly duplicate files
 One of the questions that it's nice to be able to answer about a pair of files
 is the degree of similarity between them. This command-line tool is useful for
 estimating the "degree of similarity" between a pair of nominally sequential
 files such as textfiles. The tool uses Manassas's "shingleprinting" technique.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS=hardening=+all reproducible=+all

%:
	dh $@

override_dh_auto_install:
	
override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	sh debian/tests/test
endif

=== debian/watch ===
version=4
opts="mode=git, pretty=0.0.%cd" https://github.com/BartMassey/simhash heads/properly-unsigned-incompatible
opts="mode=git, pretty=0.0.%cd" https://github.com/BartMassey/simhash heads/master
